<template>
	<main class="mt-36">
		<h2 class="contents-title">Object Position Mixin (objPos)</h2>

		<div>
			<div class="tab">
				<button
					v-for="(tab, index) in tabs"
					:key="index"
					@click="activeTab = index"
					:class="{ active: activeTab === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs"
					:key="index"
					v-show="activeTab === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>

		<div>
			<div class="tab">
				<button
					v-for="(tab, index) in tabs2"
					:key="index"
					@click="activeTab2 = index"
					:class="{ active: activeTab2 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs2"
					:key="index"
					v-show="activeTab2 === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />

		<h2 class="contents-title">Object Dimension Mixin (objDimension)</h2>

		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			activeTab: 0,
			activeTab2: 0,
			activeTab3: 0,
			activeTab4: 0,
			tabs: [
				{
					title: 'SCSS',
					content: `.obj-top-left {
    @include objPos(top, left);
    position: absolute;
}

.obj-bottom-right {
    @include objPos(bottom, right, 100px, 100px);
    position: absolute;
}`
				}
			],
			tabs2: [
				{
					title: 'CSS',
					content: `.obj-top-left {
    top: 0;
    left: 0;
    position: absolute;
}

.obj-bottom-right {
    bottom: 100px;
    right: 100px;
    position: absolute;
}`
				}
			],
			tabs3: [
				{
					title: 'SCSS',
					content: `.obj-50-percent {
    @include objDimension(50%, 50%);
}`
				}
			],
			tabs4: [
				{
					title: 'CSS',
					content: `.obj-50-percent {
    width: 50%;
    height: 50%;
}`
				}
			],
			tabs5: [
				{
					title: 'SCSS',
					content: `.el-full {
    @include elSize(100%);
}

.el-50-100 {
    @include elSize(50px, 100px);
}`
				}
			],
			tabs6: [
				{
					title: 'CSS',
					content: `.el-full {
    width: 100%;
    height: 100%;
}

.el-50-100 {
    width: 50px;
    height: 100px;
}`
				}
			],
			tabs7: [
				{
					title: 'SCSS',
					content: `.obj-abs-full {
    @include objAbsFull();
}`
				}
			],
			tabs8: [
				{
					title: 'CSS',
					content: `.obj-abs-full {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}`
				}
			],
			tabs9: [
				{
					title: 'SCSS',
					content: `.font-big {
    @include fontSize(25);
}`
				}
			],
			tabs10: [
				{
					title: 'CSS',
					content: `.font-big {
    font-size: 1.5625em;
}`
				}
			],
			tabs11: [
				{
					title: 'SCSS',
					content: `.obj-transform-ten {
    @include transformPos(10px, 10px);
}

.obj-transform-center {
    @include objPos(top, left, 50%, 50%);
    @include transformPos(-50%, -50%);
    position: absolute;
}`
				}
			],
			tabs12: [
				{
					title: 'CSS',
					content: `.obj-transform-ten {
    -webkit-transform: translate(10px, 10px);
            transform: translate(10px, 10px);
}

.obj-transform-center {
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    position: absolute;
}`
				}
			],
			tabs13: [
				{
					title: 'SCSS',
					content: `.black-triangle {
    @include triangle(top, left, right, 20px, #000);
}`
				}
			],
			tabs14: [
				{
					title: 'CSS',
					content: `.black-triangle {
    @include triangle(top, left, right, 20px, #000);
}`
				}
			]
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
